<?php
namespace PnReadConfig\Factory\Controller\Plugin;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;

class ReadConfigPluginFactory implements FactoryInterface {
    
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $container->get('Config');
        
        return new \PnReadConfig\Controller\Plugin\ReadConfigPlugin($config);
    }
}